Subject: [GIT PULL] ARM: SoC fixes

From: [email-masked] (Tony Lindgren)
Date: Thu, 8 Nov 2018 07:49:26 -0800

* Olof Johansson <[email-masked]> [181107 09:28]:
> On Wed, Nov 7, 2018 at 9:17 AM Linus Torvalds
> <[email-masked]> wrote:
> >
> > On Wed, Nov 7, 2018 at 9:10 AM Olof Johansson <[email-masked]> wrote:
> > >
> > > ARM: SoC fixes
> >
> > Pulled.
> >
> > > I was a bit too trigger happy to enable PREEMPT on multi_v7_defconfig,
> > > and it ended up regressing at least BeagleBone XM boards.
> >
> > Odd. Did it hit some "may_sleep()" test in a driver that is hidden by
> > preempt being off? Otherwise I don't see how/why preempt should fail
> > in a board-specific manner..
> 
> The board hangs early during boot and the usual way of collecting
> early console doesn't seem to work when attempted (I haven't tried
> personally).
> 
> It's one of the major non-SMP platforms covered by tests. I'd be
> surprised if it turns out to be truly _board_ specific (and rather
> specific to OMAP3), but we don't have enough data yet. Chances are it
> either shuffles some timing around or indeed hits a may_sleep() test
> somewhere.
> 
> (I just realized I might have missed to attribute Guillaume in the
> revert patch. Sorry about that).

Looks like we're missing the stdout-path for earlycon, maybe try
with the following patch? I can't find my Beagleboard-xm right now,
time to clean-up a bit I guess.

At least omap3-evm, logicpd-torpedo and n900 all boot with PREEMPT.

Regards,

Tony

8< ----------------------
>>From tony Mon Sep 17 00:00:00 2001
From: Tony Lindgren <[email-masked]>
Date: Thu, 8 Nov 2018 07:43:28 -0800
Subject: [PATCH] ARM: dts: Add missing earlycon UART for Beagleboard

We can get early boot messages if CONFIG_SERIAL_EARLYCON=y is set, and
kernel commandline has debug earlycon. But we're missing the related dts
entry for Beagleboard.

Signed-off-by: Tony Lindgren <[email-masked]>
---

Note: Untested, I can't find my Beagleboard-XM right now..

---
 arch/arm/boot/dts/omap3-beagle.dts | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/arch/arm/boot/dts/omap3-beagle.dts b/arch/arm/boot/dts/omap3-beagle.dts
--- a/arch/arm/boot/dts/omap3-beagle.dts
+++ b/arch/arm/boot/dts/omap3-beagle.dts
@@ -24,6 +24,10 @@
 		reg = <0x80000000 0x10000000>; /* 256 MB */
 	};
 
+	chosen {
+		stdout-path = &uart3;
+	};
+
 	aliases {
 		display0 = &dvi0;
 		display1 = &tv0;
-- 
2.19.1